package types

import "time"

const (
	AppName = "ForeverFiles"
)

type FileMetadata struct {
	Name         string
	Path         string
	Size         int64
	Hash         []byte
	ModifiedDate time.Time
	PartitionId  string
	BackedUp     bool
}
